Bug Hunting Session
Bug 100226 - Strings that are not fully removed from source code
Summary: Strings that are not fully removed from source code
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: l10n-Optimization
  Show dependency treegraph
 
Reported: 2016-06-05 16:22 UTC by safa alfulaij
Modified: 2017-12-03 01:20 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description safa alfulaij 2016-06-05 16:22:12 UTC
Strings get changed over time, but sometimes they only be removed from the actual source file (cxx) while they still exist in hrc and src (and in the Pootle platform).

Examples:
from: https://translations.documentfoundation.org/ar/libo_ui/translate/sw/source/#unit=28020490
to: https://translations.documentfoundation.org/ar/libo_ui/translate/sw/source/#unit=28020395
(And many in that file)

Isn't there a way (e.x.: a script) to ensure that all the strings that are in hrc and src are actually used by LO?
Comment 1 Buovjaga 2016-06-10 11:38:37 UTC
Might be a good easy hack.
Comment 2 Gabor Kelemen 2017-12-01 10:14:15 UTC
This is what [1] does, but probably we should run it from time to time.

[1] https://cgit.freedesktop.org/libreoffice/core/tree/bin/find-unused-defines-in-hrc-files.py
Comment 3 Buovjaga 2017-12-01 11:31:49 UTC
(In reply to Gabor Kelemen from comment #2)
> This is what [1] does, but probably we should run it from time to time.
> 
> [1]
> https://cgit.freedesktop.org/libreoffice/core/tree/bin/find-unused-defines-
> in-hrc-files.py

Yes. I discussed with devs and there does not seem to be a need to change this to an easy hack. Thanks.
Comment 4 Commit Notification 2017-12-01 11:42:34 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=af5f86b2c1d895803ba79136609417c151100ec1

Related: tdf#100226 unused hrc defines are the same as hxx defines now

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.